curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"created\": \"2021-10-11T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 70 }, { \"object\": \"Transaction\", \"created\": \"2021-10-14T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 71 } ], \"total_count\": 2, \"url\": \"/subscriptions/T_BusyMoms/future_transactions?quantity=2\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Fetch Future Transactions
Retrieves the future Transactions for a specified subscription. The number of future transactions desired is required as part of the call.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/subscriptions/{ID}/future_transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"created\": \"2021-10-11T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 70 }, { \"object\": \"Transaction\", \"created\": \"2021-10-14T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 71 } ], \"total_count\": 2, \"url\": \"/subscriptions/T_BusyMoms/future_transactions?quantity=2\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the Subscription to retrieve future Transactions A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Query Parameters
The number of future transactions to fetch. The amount to fetch must be between 1-5.
Response
JSON A list array with a data property that contains an array of up to limit Transactions, starting after the specified starting_after Transaction (or ending before the specified ending_before Transaction). Each entry in the array is a full Transaction object. If no more Transactions are available, the resulting array will be empty. This request should never throw an error. A list of Transaction objects matching the query. Also:
- "total_count": Integer count of the number of Transaction objects in the returned list.
- "url": The query string provided in the request
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Transaction object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Transaction object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"Transaction\", \"created\": \"2021-10-11T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 70 }, { \"object\": \"Transaction\", \"created\": \"2021-10-14T00:00:00+00:00\", \"amount\": 22, \"currency\": \"USD\", \"items\": { \"object\": \"List\", \"data\": [ { \"object\": \"TransactionItem\", \"sku\": \"T_BusyMoms\", \"item_type\": \"Purchase\", \"name\": \"The thing busy moms need to survive the month in-a box\", \"price\": 22, \"quantity\": 1, \"tax_type\": \"Exclusive Sales\", \"subtotal\": 22, \"total\": 22 } ], \"total_count\": 1 }, \"subscription_sequence\": 71 } ], \"total_count\": 2, \"url\": \"/subscriptions/T_BusyMoms/future_transactions?quantity=2\" }"

